### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-card/ecl-card-image.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclCardImage]`

### Index

###### Properties

- ariaLabel
- Public backgroundImage
- role

###### Methods

- getCssClasses

###### Inputs

- imageUrl
- class
- e2eAttr

###### HostBindings

- attr.aria-label
- attr.role
- class
- style.background-image

###### Accessors

- cssClasses

### Inputs

imageUrl
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.aria-label
Type : `string`
Default value : `'card image'`

attr.role
Type : `string`
Default value : `'img'`

class
Type : `any`

style.background-image
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

ariaLabel
Type : `string`
Default value : `'card image'`
Decorators : `@HostBinding('attr.aria-label')`

Public backgroundImage
Type : `string`
Decorators : `@HostBinding('style.background-image')`

role
Type : `string`
Default value : `'img'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""